## ros-indigo-planner-cspace 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(planner_cspace)

find_package(catkin REQUIRED
  COMPONENTS
    roscpp

    actionlib
    diagnostic_updater
    geometry_msgs
    move_base_msgs
    nav_msgs
    sensor_msgs
    std_srvs
    tf2
    tf2_geometry_msgs
    tf2_ros
    trajectory_msgs

    costmap_cspace
    costmap_cspace_msgs
    neonavigation_common
    planner_cspace_msgs
    trajectory_tracker_msgs
)

find_package(Boost REQUIRED COMPONENTS chrono)
find_package(OpenMP REQUIRED)

catkin_package(
  CATKIN_DEPENDS
    roscpp

    actionlib
    diagnostic_updater
    geometry_msgs
    move_base_msgs
    nav_msgs
    sensor_msgs
    std_srvs
    tf2
    tf2_geometry_msgs
    tf2_ros
    trajectory_msgs

    costmap_cspace
    costmap_cspace_msgs
    neonavigation_common
    planner_cspace_msgs
    trajectory_tracker_msgs
)

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
  message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -funroll-loops -finline-functions ${OpenMP_CXX_FLAGS}")

#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pg")
#set(CMAKE_LD_FLAGS "${CMAKE_CXX_FLAGS} -pg")

include_directories(${catkin_INCLUDE_DIRS} include)

add_executable(planner_3d src/planner_3d.cpp)
target_link_libraries(planner_3d ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(planner_3d ${catkin_EXPORTED_TARGETS})

add_executable(planner_2dof_serial_joints src/planner_2dof_serial_joints.cpp)
target_link_libraries(planner_2dof_serial_joints ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(planner_2dof_serial_joints ${catkin_EXPORTED_TARGETS})

add_executable(dummy_robot src/dummy_robot.cpp)
target_link_libraries(dummy_robot ${catkin_LIBRARIES})
add_dependencies(dummy_robot ${catkin_EXPORTED_TARGETS})

add_executable(patrol src/patrol.cpp)
target_link_libraries(patrol ${catkin_LIBRARIES})
add_dependencies(patrol ${catkin_EXPORTED_TARGETS})


if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(rosunit REQUIRED)
  add_subdirectory(test)
  find_package(roslint REQUIRED)
  roslint_cpp()
  roslint_add_test()
endif()

install(TARGETS
    dummy_robot
    patrol
    planner_2dof_serial_joints
    planner_3d
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-planner-cspace (0.3.1-0trusty) trusty; urgency=high

  * trajectory_tracker: support PathWithVelocity (#244 <https://github.com/at-wat/neonavigation/issues/244>)
  * planner_cspace: fix stability of test_costmap_watchdog (#242 <https://github.com/at-wat/neonavigation/issues/242>)
  * planner_cspace: add watchdog to costmap update (#235 <https://github.com/at-wat/neonavigation/issues/235>)
  * planner_cspace: add missing test dependencies (#234 <https://github.com/at-wat/neonavigation/issues/234>)
  * Fix pointer alignment style (#233 <https://github.com/at-wat/neonavigation/issues/233>)
  * Migrate tf to tf2 (#230 <https://github.com/at-wat/neonavigation/issues/230>)
  * planner_cspace: add diagnostics to planner node (#226 <https://github.com/at-wat/neonavigation/issues/226>)
  * planner_cspace: stop robot motion if new map received (#218 <https://github.com/at-wat/neonavigation/issues/218>)
  * planner_cspace: split grid-metric converter functions (#213 <https://github.com/at-wat/neonavigation/issues/213>)
  * planner_cspace: split motion cache class (#212 <https://github.com/at-wat/neonavigation/issues/212>)
  * planner_cspace: fix goal and start tolerance parameter (#211 <https://github.com/at-wat/neonavigation/issues/211>)
  * planner_cspace: add cost for turning near obstacles (#210 <https://github.com/at-wat/neonavigation/issues/210>)
  * Fix catkin package definitions (#206 <https://github.com/at-wat/neonavigation/issues/206>)
  * planner_cspace: use odometry position difference in jump detection (#205 <https://github.com/at-wat/neonavigation/issues/205>)
  * planner_cspace: refactoring (#204 <https://github.com/at-wat/neonavigation/issues/204>)
  * Contributors: Atsushi Watanabe, So Jomura, Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 10 Jan 2019 00:00:00 -0000

ros-indigo-planner-cspace (0.2.3-0trusty) trusty; urgency=high

  * Fix test names (#202 <https://github.com/at-wat/neonavigation/issues/202>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 19 Jul 2018 00:00:00 -0000

ros-indigo-planner-cspace (0.2.2-0trusty) trusty; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-indigo-planner-cspace (0.2.1-0trusty) trusty; urgency=high

  * Fix missing package dependencies (#194 <https://github.com/at-wat/neonavigation/issues/194>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 14 Jul 2018 00:00:00 -0000

ros-indigo-planner-cspace (0.2.0-0trusty) trusty; urgency=high

  * planner_cspace: fix restriction of path segment connection (#191 <https://github.com/at-wat/neonavigation/issues/191>)
  * planner_cspace: fix boundary check (#190 <https://github.com/at-wat/neonavigation/issues/190>)
  * planner_cspace: fix unconverged switching back vibration (#183 <https://github.com/at-wat/neonavigation/issues/183>)
  * Reduce random test failure (#181 <https://github.com/at-wat/neonavigation/issues/181>)
  * Update CI (#179 <https://github.com/at-wat/neonavigation/issues/179>)
  * Fix cost in heuristic function for make_plan service (#178 <https://github.com/at-wat/neonavigation/issues/178>)
  * Fix namespace migration messages (#174 <https://github.com/at-wat/neonavigation/issues/174>)
  * planner_cspace: add make plan service (#169 <https://github.com/at-wat/neonavigation/issues/169>)
  * Fix topic/service namespace model (#168 <https://github.com/at-wat/neonavigation/issues/168>)
  * Fix package dependencies (#167 <https://github.com/at-wat/neonavigation/issues/167>)
  * Fix naming styles (#166 <https://github.com/at-wat/neonavigation/issues/166>)
  * Update package descriptions and unify license and version (#165 <https://github.com/at-wat/neonavigation/issues/165>)
  * Use neonavigation_msgs package (#164 <https://github.com/at-wat/neonavigation/issues/164>)
  * planner_cspace: fix clearing remembered costmap (#158 <https://github.com/at-wat/neonavigation/issues/158>)
  * planner_cspace: fix partial costmap update with unknown cells (#156 <https://github.com/at-wat/neonavigation/issues/156>)
  * planner_cspace: remember costmap using binary bayes filter (#149 <https://github.com/at-wat/neonavigation/issues/149>)
  * planner_cspace: fix position jump detection (#150 <https://github.com/at-wat/neonavigation/issues/150>)
  * planner_cspace: fix remembering costmap (#147 <https://github.com/at-wat/neonavigation/issues/147>)
  * planner_cspace: use frame_id of incoming message to set dummy robot pose (#145 <https://github.com/at-wat/neonavigation/issues/145>)
  * planner_cspace: add odom publisher to dummy robot (#143 <https://github.com/at-wat/neonavigation/issues/143>)
  * planner_cspace: add preempt (#137 <https://github.com/at-wat/neonavigation/issues/137>)
  * planner_cspace: minor optimizations (#129 <https://github.com/at-wat/neonavigation/issues/129>)
  * planner_cspace: disable performance test by default (#127 <https://github.com/at-wat/neonavigation/issues/127>)
  * planner_cspace: support parallel distance map search (#125 <https://github.com/at-wat/neonavigation/issues/125>)
  * planner_cspace: support parallel aster search (#118 <https://github.com/at-wat/neonavigation/issues/118>)
  * Add abort (#116 <https://github.com/at-wat/neonavigation/issues/116>)
  * planner_cspace: increase navigation test time limit (#98 <https://github.com/at-wat/neonavigation/issues/98>)
  * planner_cspace: validate goal position. (#90 <https://github.com/at-wat/neonavigation/issues/90>)
  * Suppress compile warnings and test with -Werror. (#82 <https://github.com/at-wat/neonavigation/issues/82>)
  * Fix header of empty path. (#79 <https://github.com/at-wat/neonavigation/issues/79>)
  * planner_cspace: cache motion interpolation. (#75 <https://github.com/at-wat/neonavigation/issues/75>)
  * planner_cspace: add planning performance test. (#74 <https://github.com/at-wat/neonavigation/issues/74>)


=== debian/control ===
Source: ros-indigo-planner-cspace
Section: misc
Priority: extra
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-costmap-cspace, ros-indigo-costmap-cspace-msgs, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-map-server, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-neonavigation-common, ros-indigo-planner-cspace-msgs, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-rostest, ros-indigo-rosunit, ros-indigo-sensor-msgs, ros-indigo-std-srvs, ros-indigo-tf2, ros-indigo-tf2-geometry-msgs, ros-indigo-tf2-ros, ros-indigo-trajectory-msgs, ros-indigo-trajectory-tracker, ros-indigo-trajectory-tracker-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-planner-cspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-costmap-cspace, ros-indigo-costmap-cspace-msgs, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-neonavigation-common, ros-indigo-planner-cspace-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-srvs, ros-indigo-tf2, ros-indigo-tf2-geometry-msgs, ros-indigo-tf2-ros, ros-indigo-trajectory-msgs, ros-indigo-trajectory-tracker-msgs
Description: 3-dof configuration space planner for mobile robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-planner-cspace//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
